<?php
if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	$_EXTKEY,
	'Gb',
	'MMC Guestbook'
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'MMC Guestbook');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_mmcguestbook_domain_model_entry', 'EXT:mmc_guestbook/Resources/Private/Language/locallang_csh_tx_mmcguestbook_domain_model_entry.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_mmcguestbook_domain_model_entry');
$GLOBALS['TCA']['tx_mmcguestbook_domain_model_entry'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:mmc_guestbook/Resources/Private/Language/locallang_db.xlf:tx_mmcguestbook_domain_model_entry',
		'label' => 'message',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'default_sortby' => 'ORDER BY crdate DESC, lastname ASC, firstname ASC',

		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',

		),
		'searchFields' => 'firstname,lastname,email,url,place,message,comment,remote_ip,',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/Entry.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_mmcguestbook_domain_model_entry.gif'
	),
);
